Get Activity Feed

Fetch the activity feed for a user (or any other object type). This activity feed format will return events in sequential descending order - there will be one activity item for each found action.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
≥ 1
Defaults to 123
Body Params
object
object
required

The object (ex. user) you want to fetch the activity feed for.

follow_relationship_types
array of strings

An array of the relationship types that represent the concept of "following" in your data. If none provided, by default the relationship type "followed" will be used.

follow_relationship_types
follow_object_types
array of strings

An array of the object types that can be followed in your dataset and that you want to be used for this activity feed. If none provided, by default any object type that is found based on the allowed follow_relationship_types will be used.

follow_object_types
event_relationship_types
array of strings

An array of the relationship types of the actions you want to show up in the activity feed. If none provided, by default any relationships that are present in the resulting feed items will be returned.

event_relationship_types
event_object_types
array of strings

An array of the object types that can appear as content in the feed. If none provided, any object type that results from the other settings will be shown in the feed.

event_object_types
boolean

If this value is false (the default), then the user you are fetching the feed for can appear in the feed results as an acting user (if the user follows themself) or action user (object that is being acted on by users the user follows). If set to true, the user the feed is being fetched for will not appear in the results.

boolean

If this value is false (the default), then trying to fetch an activity feed for a non-existent object will result in a 404 object not found error being returned. If this value is true, then in the case of a non-existent object, an empty activity feed will be returned with no error.

boolean

This value defaults to false. When set to true, each returned event will contain an additional property called cursor, which contains the cursor value for that specific item. Just like end_cusror in page_info, any cursor value can be used in the before param to begin pagination after the specified cursor.

integer
string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json